package test;

import com.sun.jna.Library;
import com.sun.jna.Native;

/**
 * @author Kohsuke Kawaguchi
 */
public interface SysLogLibrary extends Library {
    static final int LOG_PID = 0x01;
    static final int LOG_CONS = 0x02;
    static final int LOG_USER = (1<<3);

    static final int LOG_INFO = 6;

    void openlog(String ident, int option, int facility);
    void syslog(int facility_priority, String format, Object... args);
    void closelog();

    SysLogLibrary LIB = (SysLogLibrary) Native.loadLibrary("c", SysLogLibrary.class);
}
